## NAME

r.param.scale - Extracts terrain parameters from a DEM. Uses a multi-scalar approach by taking fitting quadratic parameters to any size window (via least squares)

## KEYWORDS

raster

## SYNOPSIS

r.param.scale
r.param.scale help
r.param.scale [-c] input=name output=name [s_tol=float] [c_tol=float] [size=integer] [param=string] [exp=float] [zscale=float] [--overwrite]

### Flags:

-c
  Constrain model through central window cell
--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input raster map
output=name
  Output raster layer containing morphometric parameter
s_tol=float
  Slope tolerance that defines a 'flat' surface (degrees)
  Default: 1.0
c_tol=float
  Curvature tolerance that defines 'planar' surface
  Default: 0.0001
size=integer
  Size of processing window (odd number only, max: 69)
  Default: 3
param=string
  Morphometric parameter in 'size' window to calculate
  Options: elev,slope,aspect,profc,planc,longc,crosc,minic,maxic,feature
  Default: elev
exp=float
  Exponent for distance weighting (0.0-4.0)
  Default: 0.0
zscale=float
  Vertical scaling factor
  Default: 1.0

## DESCRIPTION

r.param.scale extracts terrain parameters from a DEM. Uses a multi-scale approach by fitting a bivariate quadratic polynomial to a given window size using least squares.

The module calculates the following parameters (terminology is from Wood, 1996 with related terminology used in other GRASS modules listed in brackets):

- elev: Generalised elevation value (for resampling purposes at different scale)
- slope: Magnitude of maximum gradient (steepest slope angle)
- aspect: Direction of maximum gradient (steepest slope direction=flow direction)
- profc or profile curvature (curvature intersecting with the plane defined by Z axis and maximum gradient direction). Positive values describe convex profile curvature, negative values concave profile curvature.
- planc or plan curvature (horizontal curvature, intersecting with the XY plane)
- longc or longitudinal curvature (profile curvature intersecting with the plane defined by the surface normal and maximum gradient direction)
- crosc or cross-sectional curvature (tangential curvature intersecting with the plane defined by the surface normal and a tangent to the contour - perpendicular to maximum gradient direction)
- maxic or maximum curvature (can be in any direction)
- minic or minimum curvature (in direction perpendicular to the direction of of maximum curvature)
- feature: Morphometric features: peaks, ridges, passes, channels, pits and planes

## NOTES

In r.param.scale the direction of maximum gradient (considered downslope) is stored as (West is 0 degree, East is +/- 180 degree):

- 0..+180 degree from West to North to East
- 0..-180 degree from West to South to East

Note that the aspect map is calculated differently from r.slope.aspect.

## Still to do

Fix bug when `constrain through central cell' option selected. Create color tables for all output files (presently only on features).

## EXAMPLE

The next commands will create a morphology map of the Spearfish region:

    g.region rast=elevation.10m -p
    r.param.scale in=elevation.10m output=morphology param=feature

## SEE ALSO

Java Code in LandSerf that implements the same procedure

## REFERENCE

Wood, J. (1996): The Geomorphological characterisation of Digital Elevation Models. Diss., Department of Geography, University of Leicester, U.K.
online at:
http://www.soi.city.ac.uk/~jwo/phd/

## AUTHOR

Update to FP 3/2002: L. Potrich, M. Neteler, S. Menegon (ITC-irst)

Last changed: $Date: 2006/07/15 18:23:43 $

Main index - raster index - Full index